diff options
author | liamwhite <liamwhite@users.noreply.github.com> | 2024-01-09 13:31:34 +0100 |
---|---|---|
committer | GitHub <noreply@github.com> | 2024-01-09 13:31:34 +0100 |
commit | 5fde5e62a83178581749cfc45f1d768daf7ab3e7 (patch) | |
tree | 043eadf9b4eadfbd3e0ce780e4441f921d9be9d0 /.ci/scripts/format | |
parent | Fix typos in src/core (#12625) (diff) | |
parent | ci: make verify format workflow output more helpful (diff) | |
download | yuzu-5fde5e62a83178581749cfc45f1d768daf7ab3e7.tar yuzu-5fde5e62a83178581749cfc45f1d768daf7ab3e7.tar.gz yuzu-5fde5e62a83178581749cfc45f1d768daf7ab3e7.tar.bz2 yuzu-5fde5e62a83178581749cfc45f1d768daf7ab3e7.tar.lz yuzu-5fde5e62a83178581749cfc45f1d768daf7ab3e7.tar.xz yuzu-5fde5e62a83178581749cfc45f1d768daf7ab3e7.tar.zst yuzu-5fde5e62a83178581749cfc45f1d768daf7ab3e7.zip |
Diffstat (limited to '')
-rwxr-xr-x | .ci/scripts/format/script.sh | 35 |
1 files changed, 15 insertions, 20 deletions
diff --git a/.ci/scripts/format/script.sh b/.ci/scripts/format/script.sh index 25b0718f0..c9c5e4fac 100755 --- a/.ci/scripts/format/script.sh +++ b/.ci/scripts/format/script.sh @@ -3,38 +3,33 @@ # SPDX-FileCopyrightText: 2019 yuzu Emulator Project # SPDX-License-Identifier: GPL-2.0-or-later -if grep -nrI '\s$' src *.yml *.txt *.md Doxyfile .gitignore .gitmodules .ci* dist/*.desktop \ +shopt -s nullglob globstar + +if grep -nrI '\s$' src **/*.yml **/*.txt **/*.md Doxyfile .gitignore .gitmodules .ci* dist/*.desktop \ dist/*.svg dist/*.xml; then echo Trailing whitespace found, aborting exit 1 fi # Default clang-format points to default 3.5 version one -CLANG_FORMAT=${CLANG_FORMAT:-clang-format-15} -$CLANG_FORMAT --version - -if [ "$TRAVIS_EVENT_TYPE" = "pull_request" ]; then - # Get list of every file modified in this pull request - files_to_lint="$(git diff --name-only --diff-filter=ACMRTUXB $TRAVIS_COMMIT_RANGE | grep '^src/[^.]*[.]\(cpp\|h\)$' || true)" -else - # Check everything for branch pushes - files_to_lint="$(find src/ -name '*.cpp' -or -name '*.h')" -fi +CLANG_FORMAT="${CLANG_FORMAT:-clang-format-15}" +"$CLANG_FORMAT" --version # Turn off tracing for this because it's too verbose set +x -for f in $files_to_lint; do - d=$(diff -u "$f" <($CLANG_FORMAT "$f") || true) - if ! [ -z "$d" ]; then - echo "!!! $f not compliant to coding style, here is the fix:" - echo "$d" - fail=1 - fi +# Check everything for branch pushes +FILES_TO_LINT="$(find src/ -name '*.cpp' -or -name '*.h')" + +for f in $FILES_TO_LINT; do + echo "$f" + "$CLANG_FORMAT" -i "$f" done -set -x +DIFF=$(git diff) -if [ "$fail" = 1 ]; then +if [ ! -z "$DIFF" ]; then + echo "!!! Not compliant to coding style, here is the fix:" + echo "$DIFF" exit 1 fi |